Subject: Re: [MMUSIC] Comment on draft-jennings-mmusic-adjacent-grouping-03

From: Cullen Jennings <[email-masked]>
Date: Mon, 11 Jul 2011 08:23:26 -0700

On Mar 18, 2011, at 5:46 , Christer Holmberg wrote:

> 
> Hi Cullen/Ali,
> 
> There were some comments given on this draft in Beijing, but I am not sure they have been addressed in the new version.
> 
> Q1: Declaration vs negotiation
> ------------------------------

I've decided the work declarative in the context of SDP just creates confusion. I removed all this and tried to make it clear what one can and can not do with it. 

> 
> Q3: Audio/video association
> -----------------------------
> 
> The draft does not provide a mechanism to e.g. associate audio and video streams. I GUESS that could be done by using the same mid value for two streams (e.g. an audio and a video stream). IF that's the case, I think it needs to be described.

I don't really have any good use cases to drive this but imagine we had a two screen video conferencing system where each screen had a camera above it and had microphones on both sides of the screen. Roughly speaking going from left to right we have Mic1 Cam1 Mic2 Mic3 Cam2 Mic4. If theses were the mid labels I could imagine a few things one could do 

1)
Create an ADJ group that had mixed audio and and video such as
a=group:ADJ Mic1 Cam1 Mic2 Mic3 Cam2 Mic4

2)
Create two ADJ groups, one for the audio and one for the video 
a=group:ADJ Mic1 Mic2 Mic3 Mic4
a=group:ADJ Cam1 Cam2

3) Probably a better solution than either of these is use ADJ for the cameras then put the audio into some surround sound audio stream. 

I'm not really two worked up about things like this as I have not seen uses case for it. 

> 
> Q4: Telepresence
> ------------------
> 
> (Assuming this is intended to be used also for negotiation)
> 
> The draft also talks about telepresence, where I agree this kind of feature very likely will be needed. But, my suggestion would be for CLUE to agree on requirements before taking on this draft, to make sure that it can be used to meet those requirements.
> 
> This was also mentioned in Beijing.
> 
>        "Magnus Westerlund <[email-masked]> would like to see where the telepresence work goes, but was concerned that
>        we not have two solutions to the same problem. Peter Musgrave <[email-masked]> supported him,..."
> 
>        "Mary Barnes <[email-masked]> asked if anyone else supported the work. Why not wait for telepresence?"
> 
> So, again, it needs to be clarified what the scope of the propsed mechanism is.

I think the proposed mechanism is pretty clear about what it can and can not do

> 
> 
> Q5: Editorial
> -------------
> 
> The SDP example shows audio streams (m=audio), but I assume it's meant to be video (m=video)?

Fixed - thanks